import { select, 
        json, 
        tree, 
        hierarchy, 
        linkHorizontal  } from 'd3';

const svg = select('svg');

const width = document.body.clientWidth;
const height = document.body.clientHeight;

const treeLayout = tree().size([height, width]);

svg
    .attr('width', width)
    .attr('height', height)

json('data.json').then(d => {
  const root = hierarchy(d)
  const links = treeLayout(root).links();
  const linkPathGen = linkHorizontal()
  	 .x(d => d.y)
  	 .y(d => d.x)	
  
  
  svg.selectAll('path').data(links)
  	 .enter().append('path')
  	 .attr('d',linkPathGen)
      
})



